signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | List of all members
ExamplePluginNS::ExamplePlugin Class Reference

Example plugin for Sign-On. More...

`#include <exampleplugin.h>`

Inheritance diagram for ExamplePluginNS::ExamplePlugin:
[legend]
Collaboration diagram for ExamplePluginNS::ExamplePlugin:
[legend]

## Public Slots
QString | type () const
QStringList | mechanisms () const
void | cancel ()
void | process (const SignOn::SessionData &inData, const QString &mechanism=0)
void | userActionFinished (const SignOn::UiSessionData &data)

## Public Member Functions
| ExamplePlugin (QObject *parent=0)
virtual | ~ExamplePlugin ()

## Detailed Description

Example plugin for Sign-On.

Definition at line 37 of file exampleplugin.h.

## Constructor & Destructor Documentation

ExamplePluginNS::ExamplePlugin::ExamplePlugin | ( | QObject * | parent = `0` | ) |

Definition at line 31 of file exampleplugin.cpp.

References TRACE.

ExamplePluginNS::ExamplePlugin::~ExamplePlugin | ( |  | ) |
| virtual

Definition at line 38 of file exampleplugin.cpp.

References TRACE.

## Member Function Documentation

void ExamplePluginNS::ExamplePlugin::cancel | ( |  | ) |
| slot

Definition at line 56 of file exampleplugin.cpp.

QStringList ExamplePluginNS::ExamplePlugin::mechanisms | ( |  | ) | const
| slot

Definition at line 48 of file exampleplugin.cpp.

Referenced by process().

void ExamplePluginNS::ExamplePlugin::process | ( | const SignOn::SessionData & | inData,
|  | const QString & | mechanism = `0`
| ) |  |
| slot

Definition at line 62 of file exampleplugin.cpp.

References mechanisms(), and TRACE.

QString ExamplePluginNS::ExamplePlugin::type | ( |  | ) | const
| slot

Definition at line 43 of file exampleplugin.cpp.

void ExamplePluginNS::ExamplePlugin::userActionFinished | ( | const SignOn::UiSessionData & | data | ) |
| slot

Definition at line 154 of file exampleplugin.cpp.

References TRACE.

The documentation for this class was generated from the following files:

- src/plugins/example/exampleplugin.h
- src/plugins/example/exampleplugin.cpp